Index: t3lib/class.t3lib_tsparser_ext.php
===================================================================
--- t3lib/class.t3lib_tsparser_ext.php	(revision 9100)
+++ t3lib/class.t3lib_tsparser_ext.php	(revision )
@@ -1552,80 +1616,80 @@
 	 * @param	[type]		$tplRow: ...
 	 * @return	[type]		...
 	 */
-	function ext_procesInput($http_post_vars,$http_post_files,$theConstants,$tplRow)	{
+	function ext_procesInput($http_post_vars, $http_post_files, $theConstants, $tplRow) {
-		$data=$http_post_vars['data'];
+		$data = $http_post_vars['data'];
-		$check=$http_post_vars['check'];
+		$check = $http_post_vars['check'];
-		$copyResource=$http_post_vars['_copyResource'];
+		$copyResource = $http_post_vars['_copyResource'];
-		$Wdata=$http_post_vars['Wdata'];
+		$Wdata = $http_post_vars['Wdata'];
-		$W2data=$http_post_vars['W2data'];
+		$W2data = $http_post_vars['W2data'];
-		$W3data=$http_post_vars['W3data'];
+		$W3data = $http_post_vars['W3data'];
-		$W4data=$http_post_vars['W4data'];
+		$W4data = $http_post_vars['W4data'];
-		$W5data=$http_post_vars['W5data'];
+		$W5data = $http_post_vars['W5data'];
 
-		if (is_array($data))	{
+		if (is_array($data)) {
 			foreach ($data as $key => $var) {
-				if (isset($theConstants[$key]))	{
+				if (isset($theConstants[$key])) {
-					if ($this->ext_dontCheckIssetValues || isset($check[$key]))	{		// If checkbox is set, update the value
+					if ($this->ext_dontCheckIssetValues || isset($check[$key])) { // If checkbox is set, update the value
-						list($var) = explode(LF,$var);	// exploding with linebreak, just to make sure that no multiline input is given!
+						list($var) = explode(LF, $var); // exploding with linebreak, just to make sure that no multiline input is given!
-						$typeDat=$this->ext_getTypeData($theConstants[$key]['type']);
+						$typeDat = $this->ext_getTypeData($theConstants[$key]['type']);
-						switch($typeDat['type'])	{
+						switch ($typeDat['type']) {
 							case 'int':
-								if ($typeDat['paramstr'])	{
+								if ($typeDat['paramstr']) {
-									$var=t3lib_div::intInRange($var,$typeDat['params'][0],$typeDat['params'][1]);
+									$var = t3lib_div::intInRange($var, $typeDat['params'][0], $typeDat['params'][1]);
 								} else {
-									$var=intval($var);
+									$var = intval($var);
 								}
 							break;
 							case 'int+':
 								$var = max(0, intval($var));
-								break;
+							break;
 							case 'color':
-								$col=array();
+								$col = array();
-								if($var && !t3lib_div::inList($this->HTMLcolorList,strtolower($var)))	{
+								if ($var && !t3lib_div::inList($this->HTMLcolorList, strtolower($var))) {
-									$var = preg_replace('/[^A-Fa-f0-9]*/','',$var);
+									$var = preg_replace('/[^A-Fa-f0-9]*/', '', $var);
 									$useFullHex = strlen($var) > 3;
 
-									$col[]=HexDec(substr($var,0,1));
+									$col[] = HexDec(substr($var, 0, 1));
-									$col[]=HexDec(substr($var,1,1));
+									$col[] = HexDec(substr($var, 1, 1));
-									$col[]=HexDec(substr($var,2,1));
+									$col[] = HexDec(substr($var, 2, 1));
 
-									if($useFullHex) {
+									if ($useFullHex) {
-										$col[]=HexDec(substr($var,3,1));
+										$col[] = HexDec(substr($var, 3, 1));
-										$col[]=HexDec(substr($var,4,1));
+										$col[] = HexDec(substr($var, 4, 1));
-										$col[]=HexDec(substr($var,5,1));
+										$col[] = HexDec(substr($var, 5, 1));
 									}
 
-									$var = substr('0'.DecHex($col[0]),-1).substr('0'.DecHex($col[1]),-1).substr('0'.DecHex($col[2]),-1);
+									$var = substr('0' . DecHex($col[0]), -1) . substr('0' . DecHex($col[1]), -1) . substr('0' . DecHex($col[2]), -1);
-									if($useFullHex) {
+									if ($useFullHex) {
-										$var .= substr('0'.DecHex($col[3]),-1).substr('0'.DecHex($col[4]),-1).substr('0'.DecHex($col[5]),-1);
+										$var .= substr('0' . DecHex($col[3]), -1) . substr('0' . DecHex($col[4]), -1) . substr('0' . DecHex($col[5]), -1);
 									}
 
-									$var = '#'.strtoupper($var);
+									$var = '#' . strtoupper($var);
 								}
 							break;
 							case 'comment':
-								if ($var)	{
+								if ($var) {
-									$var='#';
+									$var = '#';
 								} else {
-									$var='';
+									$var = '';
 								}
 							break;
 							case 'wrap':
-								if (isset($Wdata[$key]))	{
+								if (isset($Wdata[$key])) {
-									$var.='|'.$Wdata[$key];
+									$var .= '|' . $Wdata[$key];
 								}
 							break;
 							case 'offset':
-								if (isset($Wdata[$key]))	{
+								if (isset($Wdata[$key])) {
-									$var=intval($var).','.intval($Wdata[$key]);
+									$var = intval($var) . ',' . intval($Wdata[$key]);
-									if (isset($W2data[$key]))	{
+									if (isset($W2data[$key])) {
-										$var.=','.intval($W2data[$key]);
+										$var .= ',' . intval($W2data[$key]);
-										if (isset($W3data[$key]))	{
+										if (isset($W3data[$key])) {
-											$var.=','.intval($W3data[$key]);
+											$var .= ',' . intval($W3data[$key]);
-											if (isset($W4data[$key]))	{
+											if (isset($W4data[$key])) {
-												$var.=','.intval($W4data[$key]);
+												$var .= ',' . intval($W4data[$key]);
-												if (isset($W5data[$key]))	{
+												if (isset($W5data[$key])) {
-													$var.=','.intval($W5data[$key]);
+													$var .= ',' . intval($W5data[$key]);
 												}
 											}
 										}
@@ -1633,13 +1697,13 @@
 								}
 							break;
 							case 'boolean':
-								if ($var)	{
+								if ($var) {
 									$var = $typeDat['paramstr'] ? $typeDat['paramstr'] : 1;
 								}
 							break;
 							case 'file':
-								if (!$this->ext_noCEUploadAndCopying)	{
+								if (!$this->ext_noCEUploadAndCopying) {
-									if ($http_post_files['upload_data']['name'][$key] && $http_post_files['upload_data']['tmp_name'][$key]!='none')	{
+									if ($http_post_files['upload_data']['name'][$key] && $http_post_files['upload_data']['tmp_name'][$key] != 'none') {
 										$var = $this->upload_copy_file(
 											$typeDat,
 											$tplRow,
@@ -1647,7 +1711,7 @@
 											$http_post_files['upload_data']['tmp_name'][$key]
 										);
 									}
-									if ($copyResource[$key])	{
+									if ($copyResource[$key]) {
 										$var = $this->upload_copy_file(
 											$typeDat,
 											$tplRow,
@@ -1658,10 +1722,10 @@
 								}
 							break;
 						}
-						if ($this->ext_printAll || strcmp($theConstants[$key]['value'],$var))	{
+						if ($this->ext_printAll || strcmp($theConstants[$key]['value'], $var)) {
-							$this->ext_putValueInConf($key, $var);		// Put value in, if changed.
+							$this->ext_putValueInConf($key, $var); // Put value in, if changed.
 						}
-						unset($check[$key]);		// Remove the entry because it has been "used"
+						unset($check[$key]); // Remove the entry because it has been "used"
 					} else {
 						$this->ext_removeValueInConf($key);
 					}
@@ -1669,9 +1733,9 @@
 			}
 		}
 			// Remaining keys in $check indicates fields that are just clicked "on" to be edited. Therefore we get the default value and puts that in the template as a start...
-		if (!$this->ext_dontCheckIssetValues && is_array($check))	{
+		if (!$this->ext_dontCheckIssetValues && is_array($check)) {
 			foreach ($check as $key => $var) {
-				if (isset($theConstants[$key]))	{
+				if (isset($theConstants[$key])) {
 					$dValue = $theConstants[$key]['default_value'];
 					$this->ext_putValueInConf($key, $dValue);
 				}
@@ -1688,39 +1752,39 @@
 	 * @param	[type]		$tmp_name: ...
 	 * @return	[type]		...
 	 */
-	function upload_copy_file($typeDat,&$tplRow,$theRealFileName,$tmp_name)	{
+	function upload_copy_file($typeDat, &$tplRow, $theRealFileName, $tmp_name) {
 
 			// extensions
 		$extList = $typeDat['paramstr'];
-		if ($extList=='IMAGE_EXT')	{
+		if ($extList == 'IMAGE_EXT') {
 			$extList = $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'];
 		}
-		$fI=t3lib_div::split_fileref($theRealFileName);
+		$fI = t3lib_div::split_fileref($theRealFileName);
-		if ($theRealFileName && (!$extList || t3lib_div::inList($extList,$fI['fileext'])))	{
+		if ($theRealFileName && (!$extList || t3lib_div::inList($extList, $fI['fileext']))) {
-			$tmp_upload_name = t3lib_div::upload_to_tempfile($tmp_name);	// If there is an uploaded file, move it for the sake of safe_mode.
+			$tmp_upload_name = t3lib_div::upload_to_tempfile($tmp_name); // If there is an uploaded file, move it for the sake of safe_mode.
 
 				// Saving resource
-			$alternativeFileName=array();
+			$alternativeFileName = array();
 			$alternativeFileName[$tmp_upload_name] = $theRealFileName;
 				// Making list of resources
 			$resList = $tplRow['resources'];
-			$resList = $tmp_upload_name.','.$resList;
+			$resList = $tmp_upload_name . ',' . $resList;
-			$resList=implode(t3lib_div::trimExplode(',',$resList,1),',');
+			$resList = implode(t3lib_div::trimExplode(',', $resList, 1), ',');
 				// Making data-array
 			$saveId = $tplRow['_ORIG_uid'] ? $tplRow['_ORIG_uid'] : $tplRow['uid'];
 
-			$recData=array();
+			$recData = array();
 			$recData['sys_template'][$saveId]['resources'] = $resList;
 				// Saving
 			$tce = t3lib_div::makeInstance('t3lib_TCEmain');
-			$tce->stripslashes_values=0;
+			$tce->stripslashes_values = 0;
 			$tce->alternativeFileName = $alternativeFileName;
-			$tce->start($recData,Array());
+			$tce->start($recData, Array());
 			$tce->process_datamap();
 
 			t3lib_div::unlink_tempfile($tmp_upload_name);
 
-			$tmpRow = t3lib_BEfunc::getRecordWSOL('sys_template',$saveId,'resources');
+			$tmpRow = t3lib_BEfunc::getRecordWSOL('sys_template', $saveId, 'resources');
 
 			$tplRow['resources'] = $tmpRow['resources'];
 
@@ -1737,10 +1801,10 @@
 	 * @param	[type]		$perms_clause: ...
 	 * @return	[type]		...
 	 */
-	function ext_prevPageWithTemplate($id,$perms_clause)	{
+	function ext_prevPageWithTemplate($id, $perms_clause) {
-		$rootLine = t3lib_BEfunc::BEgetRootLine($id,$perms_clause?' AND '.$perms_clause:'');
+		$rootLine = t3lib_BEfunc::BEgetRootLine($id, $perms_clause ? ' AND ' . $perms_clause : '');
 		foreach ($rootLine as $p) {
-			if ($this->ext_getFirstTemplate($p['uid']))	{
+			if ($this->ext_getFirstTemplate($p['uid'])) {
 				return $p;
 			}
 		}
@@ -1752,9 +1816,9 @@
 	 * @param	[type]		$val: ...
 	 * @return	[type]		...
 	 */
-	function ext_setStar($val)	{
+	function ext_setStar($val) {
-		$fParts = explode('.',strrev($val),2);
+		$fParts = explode('.', strrev($val), 2);
-		$val=preg_replace('/_[0-9][0-9]$/','',strrev($fParts[1])).'*.'.strrev($fParts[0]);
+		$val = preg_replace('/_[0-9][0-9]$/', '', strrev($fParts[1])) . '*.' . strrev($fParts[0]);
 		return $val;
 	}
 
@@ -1764,12 +1828,12 @@
 	 * @param	[type]		$value: ...
 	 * @return	[type]		...
 	 */
-	function ext_detectAndFixExtensionPrefix($value)	{
+	function ext_detectAndFixExtensionPrefix($value) {
-		if (substr($value,0,4)=='EXT:')	{
+		if (substr($value, 0, 4) == 'EXT:') {
-			$parts = explode('/',substr($value,4),2);
+			$parts = explode('/', substr($value, 4), 2);
 
 			$extPath = t3lib_extMgm::siteRelPath($parts[0]);
-			$value = $extPath.$parts[1];
+			$value = $extPath . $parts[1];
 			return $value;
 		} else {
 			return $value;
@@ -1778,7 +1842,7 @@
 }
 
 
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_tsparser_ext.php'])	{
+if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_tsparser_ext.php']) {
 	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_tsparser_ext.php']);
 }
 
